SDL_GetRenderLogicalPresentation(3)

NAME
SDL_GetRenderLogicalPresentation - Get device independent resolution and presentation mode for rendering.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetRenderLogicalPresentation(SDL_Renderer *renderer, int *w, int *h, SDL_RendererLogicalPresentation *mode, SDL_ScaleMode *scale_mode);

DESCRIPTION
This function gets the width and height of the logical rendering output, or the output size in pixels if a logical resolution is not enabled.

FUNCTION PARAMETERS

renderer
    the rendering context

w   an int to be filled with the width

h   an int to be filled with the height

mode
    a pointer filled in with the presentation mode

scale_mode
    a pointer filled in with the scale mode

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_SetRenderLogicalPresentation(3)